#global gitdate 20130514
#global gitversion 77a1594
%global tarball xf86-video-qxl

%if 0%{?gitdate}
%define gver .%{gitdate}git%{gitversion}
%endif

Name:    x11-driver-video-qxl
Version: 0.1.5
Release: %mkrel 1
Summary: X.org driver for QEMU QXL paravirt video
Group:  System/X11
URL:    http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-qxl-%{version}.tar.xz
Patch1: 0001-worst-hack-of-all-time-to-qxl-driver.patch
 
License: MIT

BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel
BuildRequires: x11-util-macros
BuildRequires: spice-protocol
BuildRequires: libdrm-devel
BuildRequires: kernel-devel
BuildRequires: libudev-devel

%description
X.org driver for QEMU QXL paravirt video.

%prep
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{!?gitdate:%{version}}
%apply_patches
autoreconf -f -i

%build
KINC=$(ls /usr/src/*/include/uapi/ -d|tail -1)
CFLAGS="%optflags -I$KINC"
echo ">> CFLAGS='$CFLAGS'"
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/qxl_drv.la
%{_libdir}/xorg/modules/drivers/qxl_drv.so


%changelog
* Sun Mar 26 2017 bb2 <bb2> - 0.1.5-1pclos2017
- new version

* Wed Jul 20 2016 bb <bb> 0.1.1-5pclos2016
- rebuild new xorg

